2011-06-27 19:38:05     [2010R1-RC5] Which version of uclibc is included?

Document created by Aaronwu Employee on Aug 27, 2013
Version 1Show Document
  • View in full screen mode

2011-06-27 19:38:05     [2010R1-RC5] Which version of uclibc is included?

Gilles Ganault (FRANCE)

Message: 101729   

Hello

 

I need to know which version of uClibc is included in 2010R1-RC5. Ideally, it should be  0.9.32 or newer.

 

To find out, I ran the following...

 

make linux_menuconfig

make config_menuconfig

ll /usr/src/uClinux-dist-2010R1-RC5/lib/

 

... but unless I missed it, it doesn't return that information.

 

Does someone know?

 

Thank you.

 

QuoteReplyEditDelete

 

 

2011-06-27 19:44:18     Re: [2010R1-RC5] Which version of uclibc is included?

Mike Frysinger (UNITED STATES)

Message: 101730   

 

$ printf '#include <features.h>\n__UCLIBC_MAJOR__ __UCLIBC_MINOR__ __UCLIBC_SUBLEVEL__\n' | bfin-uclinux-gcc -E - | tail -1

0 9 29

 

considering the 2010R1 release was made long before 0.9.32 was released, i'm not sure how you could expect it to be 0.9.32 or newer ...

QuoteReplyEditDelete

 

 

2011-06-28 05:48:53     Re: [2010R1-RC5] Which version of uclibc is included?

Gilles Ganault (FRANCE)

Message: 101788   

 

Thanks for the info. I didn't expect anything; I just needed to know which version of uClibc was included in the latest stable release of uClinux-dist, as there is an application that I'd like to use which requires at least version 0.9.32.

 

If someone's done this: Is it possible/safe to update just uClibc within the uClinux-dist source code, or is it a bad idea?

QuoteReplyEditDelete

 

 

2011-06-28 09:24:31     Re: [2010R1-RC5] Which version of uclibc is included?

Gilles Ganault (FRANCE)

Message: 101792   

"include" doesn't include a filename: Is this a typo?

 

/usr/src/uClinux-dist-2010R1-RC5# printf '#include \n__UCLIBC_MAJOR__ __UCLIBC_MINOR__ __UCLIBC_SUBLEVEL__\n' | bfin-uclinux-gcc -E - | tail -1

 

<stdin>:1:10: error: #include expects "FILENAME" or <FILENAME>

__UCLIBC_MAJOR__ __UCLIBC_MINOR__ __UCLIBC_SUBLEVEL__

QuoteReplyEditDelete

 

 

2011-06-28 11:34:52     Re: [2010R1-RC5] Which version of uclibc is included?

Mike Frysinger (UNITED STATES)

Message: 101793   

 

please read my post.  it has a filename.

QuoteReplyEditDelete

 

 

2011-06-28 11:35:46     Re: [2010R1-RC5] Which version of uclibc is included?

Mike Frysinger (UNITED STATES)

Message: 101794   

 

it'll be updated at some point.  gcc is higher on the list of things to get synced.

QuoteReplyEditDelete

 

 

2011-06-29 17:54:45     Re: [2010R1-RC5] Which version of uclibc is included?

Gilles Ganault (FRANCE)

Message: 101872   

I understand. I'll stick with 0.9.29.

QuoteReplyEditDelete

Attachments

    Outcomes